#include <iostream>
#include <fstream>
#include <cstdlib>
using namespace std;

int main() {

    while(true) {
       int x, y;
       cin >> x >> y;
       if (x == 0 && y == 0) return 0;
       cout << (x>y?"YES":"NO") << endl;
    }
    return 0;
}

/*
 * Local Variables:
 * compile-command: "g++ great.cpp -o great"
 * End:
 */
